Create a media

Create a media

Recipes
🎬
VIDEO DELIVERY & HOSTING: Direct Single Upload via S3
Open Recipe

đź’ˇ

TIP

Expand one of the following recipes to find a working example of each of the upload methods using the JWP Management API.

For more information about specific parameters and responses, refer to the API reference after the recipes.



Path Params
string
required
length between 8 and 8

Unique alphanumeric ID of the site

Body Params
string
enum

Indicates how the media asset is hosted.

If hosting_type is omitted, it defaults based on the supplied upload.method for backward compatibility.

Possible values:

  • hosted: JWX hosts the media. Provide a source file using an upload.method of direct, multipart, or fetch, and JWX transcodes it into streaming renditions.

  • external: Register self-hosted content with your JWX account. JWX stores the metadata and references your externally hosted file via upload.source_url instead of hosting the asset itself.

  • renditions: Create a media that uses the CMAF VOD workflow for flexible transcoding and/or delivery. You can have JWX transcode a source file or bring your own pre-encoded custom renditions. Learn more about CMAF VOD.
    There are two ways to use this hosting type:

    JWX handles transcoding: When creating the media define your upload method and provide the source file for transcoding and rendition creation.

    Bring your own pre-encoded renditions: Create the media then add each custom audio, text, and/or video renditions to the media.

  • ott_data: Create a media that represents OTT (over-the-top) metadata rather than a streamable video file.

Allowed:
upload
object

Metadata describing the upload method and information required to process the upload

metadata
object
relationships
object
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
© 2007- Longtail Ad Solutions, Inc.